﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Filtering.Editors;
using Telerik.Windows.Data;

namespace RadGridView_SL4_AR_1
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
		}

        private void clubsGrid_FilterOperatorsLoading_1(object sender, Telerik.Windows.Controls.GridView.FilterOperatorsLoadingEventArgs e)
        {
            if (((GridViewDataColumn)e.Column).DataType == typeof(string))
            {
                e.DefaultOperator = FilterOperator.StartsWith;
            }
        }

        private void clubsGrid_FieldFilterEditorCreated_1(object sender, Telerik.Windows.Controls.GridView.EditorCreatedEventArgs e)
        {
            var editor = e.Editor as StringFilterEditor;
            if (editor != null)
            {
                editor.MatchCaseVisibility = Visibility.Collapsed;
            }
        }
	}
}
